using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace TestCOM
{
    public partial class SetFilterForm : Form
    {
        public string[] tickersArray;
        public string[] selectedTickersArrey;
        
        public SetFilterForm()
        {
            InitializeComponent();
        }

        private void SetFilterForm_Load(object sender, EventArgs e)
        {
            for (int i = 0; i < this.tickersArray.Length; i++)
            {
                this.lbTickers.Items.Add(this.tickersArray[i]);
            }
        }

        private void btOk_Click(object sender, EventArgs e)
        {
            selectedTickersArrey = new string[this.lbTickers.SelectedItems.Count];

            
            for (int i = 0; i < this.lbTickers.SelectedItems.Count; i++)
            {
                selectedTickersArrey[i] = this.lbTickers.SelectedItems[i].ToString();
                this.Close();
            }
        }
    }
}